# Copyright (c) 2021, Dell Inc. or its subsidiaries.  All rights reserved.
# SPDX-License-Identifier: Apache-2.0
# See the LICENSE file for details.
#
# This file is part of NVMe STorage Appliance Services (nvme-stas).
#
# Authors: Martin Belanger <Martin.Belanger@dell.com>

''' @brief This file gets automagically configured by meson at build time.
'''
from staslib.version import KernelVersion

VERSION           = '1.0'
LICENSE           = 'Apache-2.0'
PROJECT_NAME      = 'nvme-stas'

STAC_DESCRIPTION  = 'STorage Appliance Connector'
STAC_ACRONYM      = 'STAC'
STACD_PROCNAME    = 'stacd'
STACD_DBUS_NAME   = 'org.nvmexpress.stac'
STACD_DBUS_PATH   = '/org/nvmexpress/stac'
STACD_EXECUTABLE  = '/usr/sbin/stacd'
STACD_CONFIG_FILE = '/etc/stas/stacd.conf'


STAF_DESCRIPTION  = 'STorage Appliance Finder'
STAF_ACRONYM      = 'STAF'
STAFD_PROCNAME    = 'stafd'
STAFD_DBUS_NAME   = 'org.nvmexpress.staf'
STAFD_DBUS_PATH   = '/org/nvmexpress/staf'
STAFD_EXECUTABLE  = '/usr/sbin/stafd'
STAFD_CONFIG_FILE = '/etc/stas/stafd.conf'

KERNEL_IFACE_MIN_VERSION  = KernelVersion('5.14')
KERNEL_TP8013_MIN_VERSION = KernelVersion('5.16')
